net.sf.jasperreports.engine

## Interface JRConstants

-     public interface JRConstants

  Version:
    $Id: JRConstants.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PSEUDO_SERIAL_VERSION_UID`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_3_1_0`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_3_1_3`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_3_5_2`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_3_7_2`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_3_7_5`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_4_0_2`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_4_0_3`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_4_1_3`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_4_6_0`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_5_0_4`
    `static int` | `PSEUDO_SERIAL_VERSION_UID_5_5_2`
    `static long` | `SERIAL_VERSION_UID` Value used as `serialVersionUID` for the current version.
    `static java.lang.String` | `VERSION_3_1_0`
    `static java.lang.String` | `VERSION_3_1_2`
    `static java.lang.String` | `VERSION_3_1_4`
    `static java.lang.String` | `VERSION_3_5_0`
    `static java.lang.String` | `VERSION_3_5_1`
    `static java.lang.String` | `VERSION_3_5_2`
    `static java.lang.String` | `VERSION_3_5_3`
    `static java.lang.String` | `VERSION_3_6_1`
    `static java.lang.String` | `VERSION_3_6_2`
    `static java.lang.String` | `VERSION_3_7_2`
    `static java.lang.String` | `VERSION_3_7_4`
    `static java.lang.String` | `VERSION_3_7_5`
    `static java.lang.String` | `VERSION_4_0_0`
    `static java.lang.String` | `VERSION_4_0_2`
    `static java.lang.String` | `VERSION_4_1_1`
    `static java.lang.String` | `VERSION_4_1_3`
    `static java.lang.String` | `VERSION_4_5_0`
    `static java.lang.String` | `VERSION_4_6_0`
    `static java.lang.String` | `VERSION_4_7_0`
    `static java.lang.String` | `VERSION_4_8_0`
    `static java.lang.String` | `VERSION_5_0_1`
    `static java.lang.String` | `VERSION_5_0_4`
    `static java.lang.String` | `VERSION_5_1_2`
    `static java.lang.String` | `VERSION_5_5_0`
    `static java.lang.String` | `VERSION_5_5_2`

- - ### Field Detail

    - #### SERIAL_VERSION_UID

          static final long SERIAL_VERSION_UID

      Value used as `serialVersionUID` for the current version.
      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_3_1_0

          static final int PSEUDO_SERIAL_VERSION_UID_3_1_0

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_3_1_3

          static final int PSEUDO_SERIAL_VERSION_UID_3_1_3

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_3_5_2

          static final int PSEUDO_SERIAL_VERSION_UID_3_5_2

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_3_7_2

          static final int PSEUDO_SERIAL_VERSION_UID_3_7_2

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_3_7_5

          static final int PSEUDO_SERIAL_VERSION_UID_3_7_5

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_4_0_2

          static final int PSEUDO_SERIAL_VERSION_UID_4_0_2

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_4_0_3

          static final int PSEUDO_SERIAL_VERSION_UID_4_0_3

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_4_1_3

          static final int PSEUDO_SERIAL_VERSION_UID_4_1_3

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_4_6_0

          static final int PSEUDO_SERIAL_VERSION_UID_4_6_0

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_5_0_4

          static final int PSEUDO_SERIAL_VERSION_UID_5_0_4

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID_5_5_2

          static final int PSEUDO_SERIAL_VERSION_UID_5_5_2

      See Also:
        Constant Field Values

    - #### PSEUDO_SERIAL_VERSION_UID

          static final int PSEUDO_SERIAL_VERSION_UID

      See Also:
        Constant Field Values

    - #### VERSION_3_1_0

          static final java.lang.String VERSION_3_1_0

      See Also:
        Constant Field Values

    - #### VERSION_3_1_2

          static final java.lang.String VERSION_3_1_2

      See Also:
        Constant Field Values

    - #### VERSION_3_1_4

          static final java.lang.String VERSION_3_1_4

      See Also:
        Constant Field Values

    - #### VERSION_3_5_0

          static final java.lang.String VERSION_3_5_0

      See Also:
        Constant Field Values

    - #### VERSION_3_5_1

          static final java.lang.String VERSION_3_5_1

      See Also:
        Constant Field Values

    - #### VERSION_3_5_2

          static final java.lang.String VERSION_3_5_2

      See Also:
        Constant Field Values

    - #### VERSION_3_5_3

          static final java.lang.String VERSION_3_5_3

      See Also:
        Constant Field Values

    - #### VERSION_3_6_1

          static final java.lang.String VERSION_3_6_1

      See Also:
        Constant Field Values

    - #### VERSION_3_6_2

          static final java.lang.String VERSION_3_6_2

      See Also:
        Constant Field Values

    - #### VERSION_3_7_2

          static final java.lang.String VERSION_3_7_2

      See Also:
        Constant Field Values

    - #### VERSION_3_7_4

          static final java.lang.String VERSION_3_7_4

      See Also:
        Constant Field Values

    - #### VERSION_3_7_5

          static final java.lang.String VERSION_3_7_5

      See Also:
        Constant Field Values

    - #### VERSION_4_0_0

          static final java.lang.String VERSION_4_0_0

      See Also:
        Constant Field Values

    - #### VERSION_4_0_2

          static final java.lang.String VERSION_4_0_2

      See Also:
        Constant Field Values

    - #### VERSION_4_1_1

          static final java.lang.String VERSION_4_1_1

      See Also:
        Constant Field Values

    - #### VERSION_4_1_3

          static final java.lang.String VERSION_4_1_3

      See Also:
        Constant Field Values

    - #### VERSION_4_5_0

          static final java.lang.String VERSION_4_5_0

      See Also:
        Constant Field Values

    - #### VERSION_4_6_0

          static final java.lang.String VERSION_4_6_0

      See Also:
        Constant Field Values

    - #### VERSION_4_7_0

          static final java.lang.String VERSION_4_7_0

      See Also:
        Constant Field Values

    - #### VERSION_4_8_0

          static final java.lang.String VERSION_4_8_0

      See Also:
        Constant Field Values

    - #### VERSION_5_0_1

          static final java.lang.String VERSION_5_0_1

      See Also:
        Constant Field Values

    - #### VERSION_5_0_4

          static final java.lang.String VERSION_5_0_4

      See Also:
        Constant Field Values

    - #### VERSION_5_1_2

          static final java.lang.String VERSION_5_1_2

      See Also:
        Constant Field Values

    - #### VERSION_5_5_0

          static final java.lang.String VERSION_5_5_0

      See Also:
        Constant Field Values

    - #### VERSION_5_5_2

          static final java.lang.String VERSION_5_5_2

      See Also:
        Constant Field Values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com